Create Contact

Creates a new contact with billing and optional shipping details.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
^[a-z][a-z0-9_]*(\.[a-z][a-z0-9_]*)*(,[a-z][a-z0-9_]*(\.[a-z][a-z0-9_]*)*)*$

Sparse-fieldset selector. Comma-separated list of Contact fields to
include in the response. Omit to return all fields.

Allowed fields: billing_address, billing_email, billing_first_name,
billing_last_name, billing_mobile_phone, billing_organization,
billing_work_phone, client, id, record_created_at,
record_updated_at, shipping_address, shipping_email,
shipping_first_name, shipping_label, shipping_last_name,
shipping_organization, shipping_phone, title, website.

Body Params

Fields for creating a new contact. The billing address, billing email, billing first name, billing last name, and billing organization are required. Shipping details and client association are optional.

billing_address
object
required

Address details for a contact. Matches the shape of the response Address schema; only the fields documented here are persisted. Any other properties accepted by the response Address schema are ignored.

string
required

Primary email address of the billing contact.

string
required

First name of the billing contact.

string
required

Last name of the billing contact.

string

Mobile phone number of the billing contact.

string
required

Organization associated with the billing contact.

string

Work phone number of the billing contact.

client
object | null

Client association for the contact. Optional. If provided, the client.id must reference an existing client and billing_organization on the persisted contact is overwritten with the resolved client's name to keep the two consistent. A contact with the same billing_email and client.id must not already exist.

shipping_address
object

Address details for a contact. Matches the shape of the response Address schema; only the fields documented here are persisted. Any other properties accepted by the response Address schema are ignored.

string

Email for shipping communications.

string

First name for the shipping contact.

string

Label or designation for the shipping address.

string

Last name for the shipping contact.

string

Organization for shipping.

string

Phone number for shipping communications.

string

Job title or position.

string

Website URL.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json